# module ActiveRecord::ReadonlyAttributes::ClassMethods

### Public Instance Methods

attr_readonly(*attributes) click to toggle source

Attributes listed as readonly will be used to create a new record but update operations will ignore these fields.

    # File lib/active_record/readonly_attributes.rb, line 13
    def attr_readonly(*attributes)
      self._attr_readonly = Set.new(attributes.map(&:to_s)) + (_attr_readonly || [])
    end

readonly_attributes() click to toggle source

Returns an array of all the attributes that have been specified as readonly.

    # File lib/active_record/readonly_attributes.rb, line 18
    def readonly_attributes
      _attr_readonly
    end